%define oname  dalli

# Depends on Rails and it's needed by Rails
%global enable_test 0

Name:               ruby-%{oname}
Version:            2.7.6
Release:            %mkrel 2
Summary:            High performance memcached client for Ruby
Group:              Development/Ruby
License:            MIT
URL:                http://github.com/mperham/dalli
Source0:            https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires:      ruby(release)
BuildRequires:      ruby-devel
%if 0%{enable_test} > 0
BuildRequires:       memcached
BuildRequires:       rubygem(minitest)
BuildRequires:       rubygem(mocha)
BuildRequires:       rubygem(rails)
%endif
BuildRequires:       rubygems
BuildArch:           noarch
Provides:            rubygem(oname}) = %{version}

%description
High performance memcached client for Ruby

%files
%dir %{gem_instdir}
%{gem_instdir}/*



%{gem_spec}
#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
 
%description    doc
Documents, Rdoc & RI documentation for %{name}.
 
%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------
 
%prep
%gem_setup
 
%build
%gem_build
 
%install
%gem_install

%check
%if 0%{enable_test} > 0
pushd .%{gem_instdir}
# connection_pool is not yet in Fedora
sed -i -e '3d' test/test_active_support.rb
sed -i -e '491,506d' test/test_active_support.rb

ruby -Ilib:test -e "Dir.glob('./test/test_*.rb').sort.each{ |x| require x }"
popd
%endif





%changelog
* Wed Oct 19 2016 pterjan <pterjan> 2.7.6-2.mga6
+ Revision: 1062525
- Use gem_setup

* Tue Apr 05 2016 spuhler <spuhler> 2.7.6-1.mga6
+ Revision: 998557
- upgrade to vers. 2.7.6

* Sat Jan 02 2016 pterjan <pterjan> 2.7.5-1.mga6
+ Revision: 918592
- Update to 2.7.5

* Sat Dec 12 2015 spuhler <spuhler> 2.7.4-1.mga6
+ Revision: 909704
- added non packaged files
- fixed group
- imported package ruby-dalli


* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 18 2015 Josef Stribny <jstribny@redhat.com> - 2.7.4-1
- Update to 2.7.4

* Mon Jun 16 2014 Josef Stribny <jstribny@redhat.com> - 2.7.2-2
- Fix the test the right way

* Mon Jun 16 2014 Josef Stribny <jstribny@redhat.com> - 2.7.2-1
- Update to dalli 2.7.2

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Aug 08 2013 Josef Stribny <jstribny@redhat.com> - 2.6.4-2
- Enable tests

* Wed Jul 31 2013 Josef Stribny <jstribny@redhat.com> - 2.6.4-1
- Initial package
